WWW-Scraper-WolframAlpha v0.001 Perl 5 v5.22.1 x86_64-linux-ld

Status
Fail
From
Andreas J. K├Ânig (ANDK)
Dist
WWW-Scraper-WolframAlpha v0.001
Platform
Perl 5 v5.22.1 x86_64-linux-ld
Date
2017-10-15T18:50:16
ID
af656886-b1d9-11e7-969b-d7ce47e224a9
This distribution has been tested as part of the CPAN Testers
project, supporting the Perl programming language.  See
http://wiki.cpantesters.org/ for more information or email
questions to cpan-testers-discuss@perl.org


--
Dear AEvar Arnfjord Bjarmason,

This is a computer-generated report for WWW-Scraper-WolframAlpha-0.001
on perl 5.22.1, created by CPAN-Reporter-1.2018.

Thank you for uploading your work to CPAN.  However, there was a problem
testing your distribution.

If you think this report is invalid, please consult the CPAN Testers Wiki
for suggestions on how to avoid getting FAIL reports for missing library
or binary dependencies, unsupported operating systems, and so on:

http://wiki.cpantesters.org/wiki/CPANAuthorNotes

Sections of this report:

    * Tester comments
    * Program output
    * Prerequisites
    * Environment and other context

------------------------------
TESTER COMMENTS
------------------------------

Additional comments from tester:

this report is from an automated smoke testing program
and was not reviewed by a human for accuracy

------------------------------
PROGRAM OUTPUT
------------------------------

Output from '/usr/bin/make test':

PERL_DL_NONLAZY=1 "/home/sand/src/perl/repoperls/installed-perls/host/k93msid/v5.22.1/2d7c/bin/perl" "-MExtUtils::Command::MM" "-MTest::Harness" "-e" "undef *Test::Harness::Switches; test_harness(0, 'blib/lib', 'blib/arch')" t/*.t
Any::Moose is deprecated. Please use Moo instead at lib/WWW/Scraper/WolframAlpha.pm line 5.
Compilation failed in require at lib/WWW/Scraper/WolframAlpha.pm line 5.
BEGIN failed--compilation aborted at lib/WWW/Scraper/WolframAlpha.pm line 5.
Compilation failed in require at -e line 1.

#   Failed test 'WWW::Scraper::WolframAlpha loaded ok'
#   at t/00-compile.t line 37.
#                   ''
#     doesn't match '(?^s:^\s*WWW::Scraper::WolframAlpha ok)'

# Failed test 'wolframalpha script compiles'
# at t/00-compile.t line 45.
# 255 - Any::Moose is deprecated. Please use Moo instead at /tmp/loop_over_bdir-10751-BDNtwx/WWW-Scraper-WolframAlpha-0.001-0/blib/lib/WWW/Scraper/WolframAlpha.pm line 5.
# Compilation failed in require at /tmp/loop_over_bdir-10751-BDNtwx/WWW-Scraper-WolframAlpha-0.001-0/blib/lib/WWW/Scraper/WolframAlpha.pm line 5.
# BEGIN failed--compilation aborted at /tmp/loop_over_bdir-10751-BDNtwx/WWW-Scraper-WolframAlpha-0.001-0/blib/lib/WWW/Scraper/WolframAlpha.pm line 5.
# Compilation failed in require at bin/wolframalpha line 5.
# BEGIN failed--compilation aborted at bin/wolframalpha line 5.
# Looks like you failed 2 tests of 2.
t/00-compile.t .......... 
Dubious, test returned 2 (wstat 512, 0x200)
Failed 2/2 subtests 
t/release-pod-syntax.t .. skipped: these tests are for release candidate testing

Test Summary Report
-------------------
t/00-compile.t        (Wstat: 512 Tests: 2 Failed: 2)
  Failed tests:  1-2
  Non-zero exit status: 2
Files=2, Tests=2,  1 wallclock secs ( 0.01 usr  0.02 sys +  0.14 cusr  0.07 csys =  0.24 CPU)
Result: FAIL
Failed 1/2 test programs. 2/2 subtests failed.
Makefile:873: recipe for target 'test_dynamic' failed
make: *** [test_dynamic] Error 255

------------------------------
PREREQUISITES
------------------------------

Prerequisite modules loaded:

requires:

    Module              Need Have    
    ------------------- ---- --------
    Any::Moose          0    0.27    
    JSON::XS            0    3.04    
    URI                 0    1.72    
    WWW::Mechanize      0    1.86    

build_requires:

    Module              Need Have    
    ------------------- ---- --------
    File::Find          0    1.29    
    File::Temp          0    0.2304  
    Test::More          0    1.302103

configure_requires:

    Module              Need Have    
    ------------------- ---- --------
    ExtUtils::MakeMaker 6.31 7.30    


------------------------------
ENVIRONMENT AND OTHER CONTEXT
------------------------------

Environment variables:

    AUTOMATED_TESTING = 1
    LANG = en_US.UTF-8
    PATH = /home/sand/bin:/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/local/perl/bin:/usr/X11/bin:/sbin:/usr/sbin
    PERL5LIB = /tmp/loop_over_bdir-10751-BDNtwx/WWW-Mechanize-1.86-0/blib/arch:/tmp/loop_over_bdir-10751-BDNtwx/WWW-Mechanize-1.86-0/blib/lib:/tmp/loop_over_bdir-10751-BDNtwx/HTML-Form-6.03-0/blib/arch:/tmp/loop_over_bdir-10751-BDNtwx/HTML-Form-6.03-0/blib/lib:/tmp/loop_over_bdir-10751-BDNtwx/Any-Moose-0.27-0/blib/arch:/tmp/loop_over_bdir-10751-BDNtwx/Any-Moose-0.27-0/blib/lib
    PERL5OPT = 
    PERL5_CPANPLUS_IS_RUNNING = 10768
    PERL5_CPAN_IS_RUNNING = 10768
    PERL5_CPAN_IS_RUNNING_IN_RECURSION = 834,10768
    PERL_CANARY_STABILITY_NOPROMPT = 1
    PERL_MM_USE_DEFAULT = 1
    PERL_USE_UNSAFE_INC = 1
    SHELL = /usr/bin/zsh
    TERM = screen

Perl special variables (and OS-specific diagnostics, for MSWin32):

    $^X = /home/sand/src/perl/repoperls/installed-perls/host/k93msid/v5.22.1/2d7c/bin/perl
    $UID/$EUID = 1005 / 1005
    $GID = 1005 1005
    $EGID = 1005 1005

Perl module toolchain versions installed:

    Module              Have    
    ------------------- --------
    CPAN                2.18    
    CPAN::Meta          2.150010
    Cwd                 3.62    
    ExtUtils::CBuilder  0.280226
    ExtUtils::Command   7.30    
    ExtUtils::Install   2.06    
    ExtUtils::MakeMaker 7.30    
    ExtUtils::Manifest  1.70    
    ExtUtils::ParseXS   3.35    
    File::Spec          3.62    
    JSON                2.94    
    JSON::PP            2.94    
    Module::Build       0.4224  
    Module::Signature   0.81    
    Parse::CPAN::Meta   2.150010
    Test::Harness       3.39    
    Test::More          1.302103
    YAML                1.23    
    YAML::Syck          1.30    
    version             0.9909  


--

Summary of my perl5 (revision 5 version 22 subversion 1) configuration:
  Derived from: 0ab152a1d10861997fe3e1b985cc92f142f4cec7
  Platform:
    osname=linux, osvers=4.12.0-2-amd64, archname=x86_64-linux-ld
    uname='linux k93msid 4.12.0-2-amd64 #1 smp debian 4.12.13-1 (2017-09-19) x86_64 gnulinux '
    config_args='-Dprefix=/home/sand/src/perl/repoperls/installed-perls/host/k93msid/v5.22.1/2d7c -Dmyhostname=k93msid -Dinstallusrbinperl=n -Uversiononly -Dusedevel -des -Ui_db -Dlibswanted=cl pthread socket inet nsl gdbm dbm malloc dl ld sun m crypt sec util c cposix posix ucb BSD gdbm_compat -Uuseithreads -Duselongdouble -DDEBUGGING=-g'
    hint=recommended, useposix=true, d_sigaction=define
    useithreads=undef, usemultiplicity=undef
    use64bitint=define, use64bitall=define, uselongdouble=define
    usemymalloc=n, bincompat5005=undef
  Compiler:
    cc='cc', ccflags ='-fwrapv -fno-strict-aliasing -pipe -fstack-protector-strong -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64',
    optimize='-O2 -g',
    cppflags='-fwrapv -fno-strict-aliasing -pipe -fstack-protector-strong -I/usr/local/include'
    ccversion='', gccversion='7.2.0', gccosandvers=''
    intsize=4, longsize=8, ptrsize=8, doublesize=8, byteorder=12345678, doublekind=3
    d_longlong=define, longlongsize=8, d_longdbl=define, longdblsize=16, longdblkind=3
    ivtype='long', ivsize=8, nvtype='long double', nvsize=16, Off_t='off_t', lseeksize=8
    alignbytes=16, prototype=define
  Linker and Libraries:
    ld='cc', ldflags =' -fstack-protector-strong -L/usr/local/lib'
    libpth=/usr/local/lib /usr/lib/gcc/x86_64-linux-gnu/7/include-fixed /usr/include/x86_64-linux-gnu /usr/lib /lib/x86_64-linux-gnu /lib/../lib /usr/lib/x86_64-linux-gnu /usr/lib/../lib /lib
    libs=-lpthread -lnsl -ldl -lm -lcrypt -lutil -lc
    perllibs=-lpthread -lnsl -ldl -lm -lcrypt -lutil -lc
    libc=libc-2.24.so, so=so, useshrplib=false, libperl=libperl.a
    gnulibc_version='2.24'
  Dynamic Linking:
    dlsrc=dl_dlopen.xs, dlext=so, d_dlsymun=undef, ccdlflags='-Wl,-E'
    cccdlflags='-fPIC', lddlflags='-shared -O2 -g -L/usr/local/lib -fstack-protector-strong'


Characteristics of this binary (from libperl): 
  Compile-time options: HAS_TIMES PERLIO_LAYERS PERL_DONT_CREATE_GVSV
                        PERL_HASH_FUNC_ONE_AT_A_TIME_HARD PERL_MALLOC_WRAP
                        PERL_NEW_COPY_ON_WRITE PERL_PRESERVE_IVUV
                        PERL_USE_DEVEL USE_64_BIT_ALL USE_64_BIT_INT
                        USE_LARGE_FILES USE_LOCALE USE_LOCALE_COLLATE
                        USE_LOCALE_CTYPE USE_LOCALE_NUMERIC USE_LOCALE_TIME
                        USE_LONG_DOUBLE USE_PERLIO USE_PERL_ATOF
  Locally applied patches:
	uncommitted-changes
  Built under linux
  Compiled at Oct  4 2017 03:45:54
  %ENV:
    PERL5LIB="/tmp/loop_over_bdir-10751-BDNtwx/WWW-Mechanize-1.86-0/blib/arch:/tmp/loop_over_bdir-10751-BDNtwx/WWW-Mechanize-1.86-0/blib/lib:/tmp/loop_over_bdir-10751-BDNtwx/HTML-Form-6.03-0/blib/arch:/tmp/loop_over_bdir-10751-BDNtwx/HTML-Form-6.03-0/blib/lib:/tmp/loop_over_bdir-10751-BDNtwx/Any-Moose-0.27-0/blib/arch:/tmp/loop_over_bdir-10751-BDNtwx/Any-Moose-0.27-0/blib/lib"
    PERL5OPT=""
    PERL5_CPANPLUS_IS_RUNNING="10768"
    PERL5_CPAN_IS_RUNNING="10768"
    PERL5_CPAN_IS_RUNNING_IN_RECURSION="834,10768"
    PERL_CANARY_STABILITY_NOPROMPT="1"
    PERL_MM_USE_DEFAULT="1"
    PERL_USE_UNSAFE_INC="1"
  @INC:
    /tmp/loop_over_bdir-10751-BDNtwx/WWW-Mechanize-1.86-0/blib/arch
    /tmp/loop_over_bdir-10751-BDNtwx/WWW-Mechanize-1.86-0/blib/lib
    /tmp/loop_over_bdir-10751-BDNtwx/HTML-Form-6.03-0/blib/arch
    /tmp/loop_over_bdir-10751-BDNtwx/HTML-Form-6.03-0/blib/lib
    /tmp/loop_over_bdir-10751-BDNtwx/Any-Moose-0.27-0/blib/arch
    /tmp/loop_over_bdir-10751-BDNtwx/Any-Moose-0.27-0/blib/lib
    /home/sand/src/perl/repoperls/installed-perls/host/k93msid/v5.22.1/2d7c/lib/site_perl/5.22.1/x86_64-linux-ld
    /home/sand/src/perl/repoperls/installed-perls/host/k93msid/v5.22.1/2d7c/lib/site_perl/5.22.1
    /home/sand/src/perl/repoperls/installed-perls/host/k93msid/v5.22.1/2d7c/lib/5.22.1/x86_64-linux-ld
    /home/sand/src/perl/repoperls/installed-perls/host/k93msid/v5.22.1/2d7c/lib/5.22.1
    .